Try it free

Platform tokens API - DELETE a platform token

  • Latest Dynatrace
  • Reference
  • Published Dec 09, 2025

Deletes a platform token in an account.

DELETE

https://api.dynatrace.com/iam/v1/accounts/{accountUuid}/platform-tokens/{platformTokenId}

Authentication

To execute this request, you need an OAuth client with the platform-token:tokens:manage scope assigned. For user-level authorization, the user should either have the user-management role assigned or a policy assigned that includes the statement ALLOW platform-token:tokens:manage;.

Parameters

ParameterTypeDescriptionInRequired
accountUuidstring

The ID of the required account.

You can find the UUID on the Account Management > Identity & access management > OAuth clients page, during creation of an OAuth client.

pathRequired
platformTokenIdstring-pathRequired

Response

Response codes

CodeDescription
200

Successful response - platform token deleted.

Example

In this example, the request deletes a platform token with tokenId dt0s16.TYUHJKNM for the account with accountUuid 2b794097-8ad2-4b32-b923-0131da2eeddf.

Curl

curl -X 'DELETE' \
'https://api-dev.internal.dynatracelabs.com/iam/v1/accounts/2b794097-8ad2-4b32-b923-0131da2eeddf/platform-tokens/dt0s16.TYUHJKNM' \
-H 'accept: */*' \
-H 'Authorization: Bearer eywedGciOiJFUzI1NiIsInR7cCI6IkpCDVIsImtpZCI6IjEifQ'

Request URL

https://api-dev.internal.dynatracelabs.com/iam/v1/accounts/2b794097-8ad2-4b32-b923-0131da2eeddf/platform-tokens/dt0s16.TYUHJKNM

Response code

200